Index: /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 9177)
@@ -9,5 +9,5 @@
 include_once (UAM_PATH.'include/functions.inc.php');
 
-$title= l10n('confirm_mail_page_title');
+$title= l10n('UAM_confirm_mail_page_title');
 $page['body_id'] = 'theAboutPage';
 include(PHPWG_ROOT_PATH.'include/page_header.php');
Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 9177)
@@ -45,14 +45,14 @@
 $tabsheet = new tabsheet();
 $tabsheet->add('global',
-               l10n('Tab_Global'),
+               l10n('UAM_Tab_Global'),
                $my_base_url.'&amp;tab=global');
   $tabsheet->add('userlist',
-                 l10n('Tab_UserList'),
+                 l10n('UAM_Tab_UserList'),
                  $my_base_url.'&amp;tab=userlist');
 $tabsheet->add('usermanager',
-               l10n('Tab_UserManager'),
+               l10n('UAM_Tab_UserManager'),
                $my_base_url.'&amp;tab=usermanager');
 $tabsheet->add('ghosttracker',
-               l10n('Tab_GhostTracker'),
+               l10n('UAM_Tab_GhostTracker'),
                $my_base_url.'&amp;tab=ghosttracker');
 $tabsheet->select($page['tab']);
@@ -126,5 +126,5 @@
     if (preg_match('/^[\s]+/', $_POST['UAM_MailExclusion_List']))
     {
-      array_push($page['errors'], l10n('mail_exclusionlist_error'));
+      array_push($page['errors'], l10n('UAM_mail_exclusionlist_error'));
       $UAM_Exclusionlist_Error = true;
     }
@@ -137,5 +137,5 @@
       $newvalue = 'false';
       $_POST['UAM_GTAutoMail'] = $newvalue;
-      array_push($page['errors'], l10n('Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
+      array_push($page['errors'], l10n('UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
     }
 
@@ -225,5 +225,5 @@
   else if (isset($_POST['PasswordTest']) and empty($_POST['UAM_Password_Test']))
   {
-    array_push($page['errors'], l10n('reg_err_login3'));
+    array_push($page['errors'], l10n('UAM_reg_err_login3'));
   }
 
@@ -443,5 +443,5 @@
 			{
 				if (!ValidateUsername(stripslashes($row['username'])))
-					$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '') . l10n('Err_audit_username_char').stripslashes($row['username']);
+					$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '') . l10n('UAM_Err_audit_username_char').stripslashes($row['username']);
 			}
 		}
@@ -467,5 +467,5 @@
 				  if (preg_match($pattern, $row['mail_address']))
 				  {
-						$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '') . l10n('Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
+						$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '') . l10n('UAM_Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
 					}
 				}
@@ -480,5 +480,5 @@
 		
 		if ($msg_error1 <> '' or $msg_error2 <> '')
-	  	array_push($page['errors'], l10n('Err_audit_advise'));
+	  	array_push($page['errors'], l10n('UAM_Err_audit_advise'));
 		else
     	array_push($page['infos'], l10n('UAM_audit_ok'));
@@ -629,5 +629,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_Userlist_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_Userlist_Settings'));
   }
   break;
@@ -791,18 +791,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -824,5 +824,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Mail_With_Key', '%d_Mails_With_Key',
+        		'UAM_%d_Mail_With_Key', 'UAM_%d_Mails_With_Key',
         	count($collection)
         	)
@@ -875,18 +875,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -909,5 +909,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Reminder_Sent', '%d_Reminders_Sent',
+        		'UAM_%d_Reminder_Sent', 'UAM_%d_Reminders_Sent',
        		count($collection)
         	)
@@ -960,18 +960,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_validation_for_your_account'));
     	}
 
@@ -986,5 +986,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Validated_User', '%d_Validated_Users',
+        		'UAM_%d_Validated_User', 'UAM_%d_Validated_Users',
        		count($collection)
         	)
@@ -1056,9 +1056,9 @@
       if (isset($row['reminder']) and $row['reminder'] == 'true')
       {
-        $reminder = l10n('Reminder_Sent_OK');
+        $reminder = l10n('UAM_Reminder_Sent_OK');
       }
       else if ((isset($row['reminder']) and $row['reminder'] == 'false') or !isset($row['reminder']))
       {
-        $reminder = l10n('Reminder_Sent_NOK');
+        $reminder = l10n('UAM_Reminder_Sent_NOK');
       }
 
@@ -1151,5 +1151,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_UserManager_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_UserManager_Settings'));
   }
   break;
@@ -1311,18 +1311,18 @@
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_reminder_for_Guest'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_default_user'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_Webmaster'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_reminder_for_your_account'));
+    		array_push($page['errors'], l10n('UAM_No_reminder_for_your_account'));
     	}
 
@@ -1344,5 +1344,5 @@
       		$page['infos'],
         	l10n_dec(
-        		'%d_Reminder_Sent', '%d_Reminders_Sent',
+        		'UAM_%d_Reminder_Sent', 'UAM_%d_Reminders_Sent',
        		count($collection)
         	)
@@ -1420,5 +1420,5 @@
         }
         
-        array_push($page['infos'], l10n('GhostTracker_Init_OK'));
+        array_push($page['infos'], l10n('UAM_GhostTracker_Init_OK'));
       }
     }
@@ -1446,9 +1446,9 @@
       if (isset($local_user['reminder']) and $local_user['reminder'] == 'true')
       {
-        $reminder = l10n('Reminder_Sent_OK');
+        $reminder = l10n('UAM_Reminder_Sent_OK');
       }
       else if (isset($local_user['reminder']) and $local_user['reminder'] == 'false')
       {
-        $reminder = l10n('Reminder_Sent_NOK');
+        $reminder = l10n('UAM_Reminder_Sent_NOK');
       }
     
@@ -1503,5 +1503,5 @@
   else
   {
-		array_push($page['errors'], l10n('Err_GhostTracker_Settings'));
+		array_push($page['errors'], l10n('UAM_Err_GhostTracker_Settings'));
   }
 
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9177)
@@ -228,4 +228,5 @@
             Bug 2140 fixed - English sentence corrections
             Bug 2186 fixed - JQuery accordion menu when no users are listed in UAM tables
+            Bug 2188 fixed - Avoid translation flags conflicts
 
 */
Index: /extensions/NBC_UserAdvManager/trunk/del_account.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/del_account.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/del_account.php	(revision 9177)
@@ -9,5 +9,5 @@
 include_once (UAM_PATH.'include/functions.inc.php');
 
-$title= l10n('Deleted_Account_Redirection_Page');
+$title= l10n('UAM_Deleted_Account_Redirection_Page');
 $page['body_id'] = 'theAboutPage';
 include(PHPWG_ROOT_PATH.'include/page_header.php');
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9177)
@@ -174,5 +174,5 @@
         if ($PasswordCheck < $conf_UAM[14])
         {
-          $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
+          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
           $lang['reg_err_pass'] = l10n_args($message).$conf_UAM[14];
           array_push($errors, $lang['reg_err_pass']);
@@ -185,5 +185,5 @@
         if ($PasswordCheck < $conf_UAM[14])
         {
-          $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
+          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
           $lang['reg_err_pass'] = l10n_args($message).$conf_UAM[14];
           array_push($errors, $lang['reg_err_pass']);
@@ -195,5 +195,5 @@
     if (isset($conf_UAM[6]) and $conf_UAM[6] == 'true' and !empty($user['username']) and ValidateUsername($user['username']) and !is_admin())
     {
-      $lang['reg_err_login1'] = l10n('reg_err_login6')."'".$conf_UAM[7]."'";
+      $lang['reg_err_login1'] = l10n('UAM_reg_err_login2')."'".$conf_UAM[7]."'";
       array_push($errors, $lang['reg_err_login1']);
     }
@@ -202,5 +202,5 @@
     if (isset($conf_UAM[11]) and $conf_UAM[11] == 'true' and !empty($user['email']) and ValidateEmailProvider($user['email']) and !is_admin())
     {
-      $lang['reg_err_login1'] = l10n('reg_err_login7')."'".$conf_UAM[12]."'";
+      $lang['reg_err_login1'] = l10n('UAM_reg_err_login5')."'".$conf_UAM[12]."'";
       array_push($errors, $lang['reg_err_login1']);
     }
@@ -241,5 +241,5 @@
       if (ValidateEmailProvider($_POST['mail_address']))
       {
-        $template->append('errors', l10n('reg_err_login7')."'".$conf_UAM[12]."'");
+        $template->append('errors', l10n('UAM_reg_err_login5')."'".$conf_UAM[12]."'");
         unset($_POST['validate']);
       }
@@ -259,5 +259,5 @@
         if ($PasswordCheck < $conf_UAM[14])
         {
-          $message = get_l10n_args('reg_err_login4_%s', $PasswordCheck);
+          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
           $template->append('errors', l10n_args($message).$conf_UAM[14]);
           unset($_POST['use_new_pwd']);
@@ -629,5 +629,5 @@
       if (isset($conf_UAM[11]) and $conf_UAM[11] == 'true' and !empty($_POST['email']) and ValidateEmailProvider($_POST['email']))
       {
-        $template->append('errors', l10n('reg_err_login7')."'".$conf_UAM[12]."'");
+        $template->append('errors', l10n('UAM_reg_err_login5')."'".$conf_UAM[12]."'");
         unset($_POST['submit_add']);
       }
@@ -741,5 +741,5 @@
   {
     case 1:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Add of %s', stripslashes($username)));
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Add of %s', stripslashes($username)));
       $password = $password <> '' ? $password : l10n('UAM_empty_pwd');
       
@@ -762,5 +762,5 @@
       
     case 2:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Update of %s', stripslashes($username)));
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Update of %s', stripslashes($username)));
       $password = $password <> '' ? $password : l10n('UAM_empty_pwd');
 
@@ -768,5 +768,5 @@
         
     case 3:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Update of %s', stripslashes($username)));
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Update of %s', stripslashes($username)));
       $password = $password <> '' ? $password : l10n('UAM_no_update_pwd');
 
@@ -777,7 +777,7 @@
   {
     $infos1 = array(
-      get_l10n_args('infos_mail %s', stripslashes($username)),
-      get_l10n_args('User: %s', stripslashes($username)),
-      get_l10n_args('Password: %s', $password),
+      get_l10n_args('UAM_infos_mail %s', stripslashes($username)),
+      get_l10n_args('UAM_User: %s', stripslashes($username)),
+      get_l10n_args('UAM_Password: %s', $password),
       get_l10n_args('Email: %s', $email),
       get_l10n_args('', ''),
@@ -790,5 +790,5 @@
     $infos2 = array
     (
-      get_l10n_args('Link: %s', AddConfirmMail($id, $email)),
+      get_l10n_args('UAM_Link: %s', AddConfirmMail($id, $email)),
       get_l10n_args('', ''),
     );
@@ -888,5 +888,5 @@
   {
     case 1:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_with_key_of_%s', $username));
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Reminder_with_key_of_%s', $username));
       
       if (isset($conf_UAM_ConfirmMail[2]) and $conf_UAM_ConfirmMail[2] <> '' and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and $confirm)
@@ -906,5 +906,5 @@
         $infos2 = array
         (
-          get_l10n_args('Link: %s', ResetConfirmMail($user_id)),
+          get_l10n_args('UAM_Link: %s', ResetConfirmMail($user_id)),
           get_l10n_args('', ''),
         );        
@@ -922,5 +922,5 @@
       
     case 2:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_without_key_of_%s',$username));
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Reminder_without_key_of_%s',$username));
       
       if (isset($conf_UAM_ConfirmMail[4]) and $conf_UAM_ConfirmMail[4] <> '' and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and !$confirm)
@@ -999,5 +999,5 @@
   load_language('plugin.lang', UAM_PATH);
   
-  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Ghost_reminder_of_%s', $username));     
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Ghost_reminder_of_%s', $username));     
 
   if (isset($conf_UAM[18]) and $conf_UAM[18] <> '' and isset($conf_UAM[16]) and $conf_UAM[16] == 'true')
@@ -1079,5 +1079,5 @@
   }
 
-  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Demotion of %s', stripslashes($username)));
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Demotion of %s', stripslashes($username)));
       
   if (isset($conf_UAM[25]) and $conf_UAM[25] <> '')
@@ -1097,5 +1097,5 @@
 
   $infos1 = array(
-    get_l10n_args('User: %s', stripslashes($username)),
+    get_l10n_args('UAM_User: %s', stripslashes($username)),
     get_l10n_args('Email: %s', $email),
     get_l10n_args('', ''),
@@ -1104,5 +1104,5 @@
   $infos2 = array
   (
-    get_l10n_args('Link: %s', ResetConfirmMail($id)),
+    get_l10n_args('UAM_Link: %s', ResetConfirmMail($id)),
     get_l10n_args('', ''),
   ); 
@@ -1176,5 +1176,5 @@
   $result = pwg_db_fetch_assoc(pwg_query($query));
 
-  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Validation of %s', stripslashes($result['username'])));
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('UAM_Validation of %s', stripslashes($result['username'])));
       
   if (isset($conf_UAM[28]) and $conf_UAM[28] <> '')
@@ -1194,5 +1194,5 @@
 
   $infos = array(
-    get_l10n_args('User: %s', stripslashes($result['username'])),
+    get_l10n_args('UAM_User: %s', stripslashes($result['username'])),
     get_l10n_args('Email: %s', $result['mail_address']),
     get_l10n_args('', ''),
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9177)
@@ -223,4 +223,14 @@
 <br><br>
 Custom Text für die Weiterleitungsseite können in dieses Feld eingegeben werden dass ist kompatibel mit den FCK-Editor und, um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
+/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>
+Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
 /*TODO*/$lang['UAM_CustomPasswRetrTitle'] = 'Customize lost password email content';
 /*TODO*/$lang['UAM_CustomPasswRetrTitle_d'] = 'By default, when a user has lost his password and selects the option of recovery, he receives an email containing only his username and his new password.
